<template>
  <div class="profile_body">
    <div class="profile_name">
      <div class="profile_name-body">
        <div class="profile_name-title">{{$t('profile.eosName')}}</div>
        <div class="profile_name-content">
          <span v-if="accountName==='No account'">{{$t('common.noAccount')}}</span>
          <span v-else>{{accountName}}</span>
        </div>
      </div>
      <div class="flex flex-middle">
        <div class="flex">
          <div
            v-if="accountName==='No account'"
            class="pl-15 pr-15">
            <Btn
              @click="createAccount"
              borderColor="#36d253"
              color="#757d8d">{{$t('profile.createAccount')}}
            </Btn>
          </div>
          <img
            v-else
            src="~/static/icons/copy.png"
            @click="copy(accountName)"
            class="icon margin-right"
            alt="">
          <v-popover
            placement="bottom-end">
            <img
              class="profile-info"
              src="~/static/icons/information.png"
              alt="">
            <template slot="popover">
              <span v-if="accountName==='No account'">
                {{$t('profile.creatingAccountHelps')}}
              </span>
              <span v-else>
                {{$t('helpers.accountName')}}
              </span>
            </template>
          </v-popover>
        </div>
      </div>
    </div>
    <div
      class="profile_name mt-10"
      v-if="innerReferral.referral_of">
      <div class="profile_name-body">
        <div class="profile_name-title">{{$t('profile.innerReferral')}}</div>
        <div class="profile_name-content">{{innerReferral.referral_of}}</div>
      </div>
      <div class="flex flex-middle">
        <div class="flex">
          <img
            src="~/static/icons/copy.png"
            @click="copy(accountName)"
            class="icon margin-right"
            alt="">
          <v-popover
            placement="bottom-end">
            <img
              class="profile-info"
              src="~/static/icons/information.png"
              alt="">
            <template slot="popover">
              {{$t('helpers.accountName')}}
            </template>
          </v-popover>
        </div>
      </div>
    </div>
    <div
      class="profile_name mt-10"
      v-if="globalReferral.referral_of">
      <div class="profile_name-body">
        <div class="profile_name-title">{{$t('profile.globalReferral')}}</div>
        <div class="profile_name-content">{{globalReferral.referral_of}}</div>
      </div>
      <div class="flex flex-middle">
        <div class="flex">
          <img
            src="~/static/icons/copy.png"
            @click="copy(accountName)"
            class="icon margin-right"
            alt="">
          <v-popover
            placement="bottom-end">
            <img
              class="profile-info"
              src="~/static/icons/information.png"
              alt="">
            <template slot="popover">
              {{$t('helpers.accountName')}}
            </template>
          </v-popover>
        </div>
      </div>
    </div>
    <SendEos></SendEos>
    <Stats></Stats>
    <Bonuses></Bonuses>
  </div>
</template>

<script>
  import BSlider from '~/components/UI/Slider/';
  import AmountInput from '~/components/UI/AmountInput';
  import copyClipboard from '~/components/utils/copy';
  import Btn from '~/components/UI/BtnSign_dark';
  import Stats from './stats';
  import Bonuses from './bonuces';
  import SendEos from './../sendeos/';

  export default {
    name: "resources",
    data() {
      return {
        innerReferral: {},
        globalReferral: {}
      }
    },
    components: {
      AmountInput,
      BSlider,
      Stats,
      Bonuses,
      Btn,
      SendEos
    },
    computed: {
      accountName() {
        return this.$store.state.wallet.accountName;
      }
    },
    methods: {
      createAccount() {
        this.$root.$refs['headerTop'].openDeposit();
      },
      copy(text) {
        copyClipboard(text, this.$t('common.copied'));
      },
      async fetchPlayer() {
        const res = await this.$store.dispatch('players/fetchPlayerRating', {today: true});
        if (res) this.innerReferral = res;
      },
      async fetchGlobalReferral() {
        const [err, res] = await this.$store.dispatch('players/fetchPlayerGlobalReferral');
        if (!err) {
          this.globalReferral = res;
        }
      }
    },
    mounted() {
      this.fetchPlayer();
      this.fetchGlobalReferral();
    }
  }
</script>
